#------------------------------------------------------------------------
# Source File Information (DO NOT MODIFY)
# Source ID: 17a2891a-4ad8-422f-afda-89eb1e505d83
# Source File: EvalToolGUI.pff
#------------------------------------------------------------------------
#region File Recovery Data (DO NOT MODIFY)
<#RecoveryData:
wRMAAB+LCAAAAAAABADsvQdgHEmWJSYvbcp7f0r1StfgdKEIgGATJNiQQBDswYjN5pLsHWlHIymr
KoHKZVZlXWYWQMztnbz33nvvvffee++997o7nU4n99//P1xmZAFs9s5K2smeIYCqyB8/fnwfPyIe
v8qn1WVeXz/N2uzoN07S9PGXdXFRLLPyWVHmL7JFfnR6mZVvqqr8/Kuz8er8/PHdXgt+D3/9ZF43
RbU82h3vPb7rfyCQJz+dT9u0vV7ln330+rpp88X4u8VyVl0142dVvZB/R2nsq1GqoD7bH+/gv1F6
si7bdZ1/tszXbZ2Vo/TlelIW098rv35Tvc2Xn00ePMjuT+9/uvvw3n6+c/Dwo3RJyH720TnB+yIr
lh+l03lRzmpq+tFJtWzrqmw+YkwJ15d1tcrr9lrfOSmLfNm+Ln6Qf3T08GB/lH76KY3QNBp4CbT5
6Mh0d2Pz121Wty+rpmhpmB8dnVCHef16Wuf5ze++yd+1Hx29zqfrumizJj1bZBd5+jRfldX1ggCB
esV5Mc0AO8Vs9kGeXqKh4jKvrggHkJ4//v2fV9ns8V3+3bS/eTrBVJ/Xxewni/zqZ31aZ9TZBXV2
SZ29yhuC0mya4T4Nj8uyuvqqyes31fFs9opwJAJkZZP3SLXx3ad5mbf5e76+nM6r+qOjN9VqlD6p
2rYiMXien7ej9FVxMW9vAeKkKteL5bfzbEYEfZqfZ0SAk7wsX7fXZe4GTS+eLZs2W07zp3kzrYtV
W9Wv8vOciDTNzezzTP3+OlO/P8/U7+9PpgX8++9+lN51ON0WTW8WgBB1dls2AqM/qd4JmJ89nvLQ
IwS79JnO8+nbsmhaf/AYPkby/+mREWe062bjsG4xyT889tt7T/Z7XokK/Ohod2+U7vZ1eP+VL2gk
xWsS6ml7e4EW1R9RSbd49xXJ8JfL8prUQb2+TWeka37ocn/vPQmvpvNTYtlP7x3c4oU32eRsOcvf
fXQUnSTfWAErqHf6hOz09G2U8L9/t1VozbogPW36RbVu8k2Ao207xvKuWEv+M/zj/czoD0lL9BSd
GUdnlmTU4n2cmMYp9MWNLouIiO3hxvY3iEW3+XeLWTv/6OhgZ6fT9P871FdlfAvSv+aWN9JESN7c
rvFGeodEPG6afEFDyhsDSz+5PlISfZEtySGFJzo+XpN3w0rYkWr3tqS6tzs5v3dw/9Nsdu/T/fze
/cd3bU/xnl0fe7ftozsdN/YxxAA/iz0+rbOrYnnxdfrauXd+//zB+e7u7P5Odi/b0NeimVZ1WUy+
AZa+xYhIzL7OcN67o997Uf5wBlTUJCBVff06ry+Laf61NMPtJ0t7Panq/Ot09N7D01GRVqCh/SyM
zf5ptMrjl9n0LSmR2mD0eb7MCbDnQUgDaDn34d3op/rh2VRzE0HT8FNSXcV53rQndc5a62j38d3e
Z7b1yboh9Wa+92APffGyzFqkCI7uUf/md/vtq/Xy9ZvjI7Jh+pt7r7qi7MCcnBqTY4Gf1PtQaXU3
JNZjzRRcWyfucfhC2s3n8KT2czqCSl3N1tO217jzebd9d55inxpfNXj/bvTTk2qxypaei3i398lJ
tbquEU8HjXqfnSHxQvmtDoLxj6PJMHlh+CvCbBH4nnfDTx7fDRJnhjHB+sQJfsru/wkAAP//RG1Z
ccETAAA=#>
#endregion
#========================================================================
# Code Generated By: SAPIEN Technologies, Inc., PowerShell Studio 2012 v3.1.26
# Generated On: 1/2/2014 9:42 AM
# Generated By: bkaler
#========================================================================
#----------------------------------------------
#region Application Functions
#----------------------------------------------

function OnApplicationLoad {
	#Note: This function is not called in Projects
	#Note: This function runs before the form is created
	#Note: To get the script directory in the Packager use: Split-Path $hostinvocation.MyCommand.path
	#Note: To get the console output in the Packager (Windows Mode) use: $ConsoleOutput (Type: System.Collections.ArrayList)
	#Important: Form controls cannot be accessed in this function
	#TODO: Add snapins and custom code to validate the application load
	
	return $true #return true for success or false for failure
	

}

function OnApplicationExit {
	#Note: This function is not called in Projects
	#Note: This function runs after the form is closed
	#TODO: Add custom code to clean up and unload snapins when the application exits
	
	$script:ExitCode = 0 #Set the exit code for the Packager
}

#endregion Application Functions

#----------------------------------------------
# Generated Form Function
#----------------------------------------------
function Call-EvalToolGUI_pff {

	#----------------------------------------------
	#region Import the Assemblies
	#----------------------------------------------
	[void][reflection.assembly]::Load("System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	[void][reflection.assembly]::Load("mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.DirectoryServices, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	[void][reflection.assembly]::Load("System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.ServiceProcess, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	#endregion Import Assemblies

	#----------------------------------------------
	#region Generated Form Objects
	#----------------------------------------------
	[System.Windows.Forms.Application]::EnableVisualStyles()
	$formMain = New-Object 'System.Windows.Forms.Form'
	$datagridviewResults = New-Object 'System.Windows.Forms.DataGridView'
	$desktops = New-Object 'System.Windows.Forms.DataGridViewTextBoxColumn'
	$laptops = New-Object 'System.Windows.Forms.DataGridViewTextBoxColumn'
	$InitialFormWindowState = New-Object 'System.Windows.Forms.FormWindowState'
	#endregion Generated Form Objects

	#----------------------------------------------
	# User Generated Script
	#----------------------------------------------
	# Is this a Wow64 powershell host
	function Test-Wow64() {
	    return (Test-Win32) -and (test-path env:\PROCESSOR_ARCHITEW6432)
	}
	
	# Is this a 64 bit process
	function Test-Win64() {
	    return [IntPtr]::size -eq 8
	}
	
	# Is this a 32 bit process
	function Test-Win32() {
	    return [IntPtr]::size -eq 4
	}
	
	
	
	
	
	
	#region Control Helper Functions
	function Load-DataGridView
	{
		<#
		.SYNOPSIS
			This functions helps you load items into a DataGridView.
	
		.DESCRIPTION
			Use this function to dynamically load items into the DataGridView control.
	
		.PARAMETER  DataGridView
			The ComboBox control you want to add items to.
	
		.PARAMETER  Item
			The object or objects you wish to load into the ComboBox's items collection.
		
		.PARAMETER  DataMember
			Sets the name of the list or table in the data source for which the DataGridView is displaying data.
	
		#>
		Param (
			[ValidateNotNull()]
			[Parameter(Mandatory=$true)]
			[System.Windows.Forms.DataGridView]$DataGridView,
			[ValidateNotNull()]
			[Parameter(Mandatory=$true)]
			$Item,
		    [Parameter(Mandatory=$false)]
			[string]$DataMember
		)
		$DataGridView.SuspendLayout()
		$DataGridView.DataMember = $DataMember
		
		if ($Item -is [System.ComponentModel.IListSource]`
		-or $Item -is [System.ComponentModel.IBindingList] -or $Item -is [System.ComponentModel.IBindingListView] )
		{
			$DataGridView.DataSource = $Item
		}
		else
		{
			$array = New-Object System.Collections.ArrayList
			
			if ($Item -is [System.Collections.IList])
			{
				$array.AddRange($Item)
			}
			else
			{	
				$array.Add($Item)	
			}
			$DataGridView.DataSource = $array
		}
		
		$DataGridView.ResumeLayout()
	}
	
	function ConvertTo-DataTable
	{
		<#
			.SYNOPSIS
				Converts objects into a DataTable.
		
			.DESCRIPTION
				Converts objects into a DataTable, which are used for DataBinding.
		
			.PARAMETER  InputObject
				The input to convert into a DataTable.
		
			.PARAMETER  Table
				The DataTable you wish to load the input into.
		
			.PARAMETER RetainColumns
				This switch tells the function to keep the DataTable's existing columns.
			
			.PARAMETER FilterWMIProperties
				This switch removes WMI properties that start with an underline.
		
			.EXAMPLE
				$DataTable = ConvertTo-DataTable -InputObject (Get-Process)
		#>
		[OutputType([System.Data.DataTable])]
		param(
		[ValidateNotNull()]
		$InputObject, 
		[ValidateNotNull()]
		[System.Data.DataTable]$Table,
		[switch]$RetainColumns,
		[switch]$FilterWMIProperties)
		
		if($Table -eq $null)
		{
			$Table = New-Object System.Data.DataTable
		}
	
		if($InputObject-is [System.Data.DataTable])
		{
			$Table = $InputObject
		}
		else
		{
			if(-not $RetainColumns -or $Table.Columns.Count -eq 0)
			{
				#Clear out the Table Contents
				$Table.Clear()
	
				if($InputObject -eq $null){ return } #Empty Data
				
				$object = $null
				#find the first non null value
				foreach($item in $InputObject)
				{
					if($item -ne $null)
					{
						$object = $item
						break	
					}
				}
	
				if($object -eq $null) { return } #All null then empty
				
				#Get all the properties in order to create the columns
				foreach ($prop in $object.PSObject.Get_Properties())
				{
					if(-not $FilterWMIProperties -or -not $prop.Name.StartsWith('__'))#filter out WMI properties
					{
						#Get the type from the Definition string
						$type = $null
						
						if($prop.Value -ne $null)
						{
							try{ $type = $prop.Value.GetType() } catch {}
						}
	
						if($type -ne $null) # -and [System.Type]::GetTypeCode($type) -ne 'Object')
						{
			      			[void]$table.Columns.Add($prop.Name, $type) 
						}
						else #Type info not found
						{ 
							[void]$table.Columns.Add($prop.Name) 	
						}
					}
			    }
				
				if($object -is [System.Data.DataRow])
				{
					foreach($item in $InputObject)
					{	
						$Table.Rows.Add($item)
					}
					return  @(,$Table)
				}
			}
			else
			{
				$Table.Rows.Clear()	
			}
			
			foreach($item in $InputObject)
			{		
				$row = $table.NewRow()
				
				if($item)
				{
					foreach ($prop in $item.PSObject.Get_Properties())
					{
						if($table.Columns.Contains($prop.Name))
						{
							$row.Item($prop.Name) = $prop.Value
						}
					}
				}
				[void]$table.Rows.Add($row)
			}
		}
	
		return @(,$Table)	
	}
	#endregion
	
	$FormEvent_Load={
	
		
		function get-unusedcomputers($parthost,$arrused){
	$usednumbers = @()
	#narrow down our results
	foreach($item in $arrUsed)
	{
		if($item[0] -match $parthost)
		{
			#Out-Host -InputObject $item[1]
			$usednumbers += $item[1]
		}
	}
	#generate full array of possibilites
	#laptops
	$a = @()
	
	If($locale -eq 2){
	$nums = @("01","02","03","04","05","06","07","08","09")
	$nums += @(10..99)
		foreach($_ in $nums)
		{
			$i = Out-String -InputObject $_ -stream
			$a += @($i + "M")
		}
	}
	#oc machines
	elseif($locale -eq 1){
	$nums = @(1..999)
	
		foreach($_ in $nums)
		{
		if($_ -lt 10){$_ = "00" + $_}
		if($_ -lt 100 -and $_ -ge 10){$_ = "0" + $_}
			$i = Out-String -InputObject $_ -stream
			$a += @($i)
		}
	}
	#workstations
	$b = @()
	If($locale -eq 2){
	$nums = @("01","02","03","04","05","06","07","08","09")
	$nums += @(10..99)
	foreach($_ in $nums)
		{
			$j = Out-String -InputObject $_ -stream
			$b += @($j + "W")
		}
	}

	
		
	#use used host list to generate unused list
	$list = $a + $b
	$finallist = Compare-Object $usednumbers $list | where {$_.sideindicator -eq "=>"} | % {$_.inputobject}
	return $finallist
}

	function Make-List($array)
	{
		$count = 0
		$usedlist=@()
		if($locale -eq 1){
		foreach($item in $array)
		{
			if($item -ne "0")
			{
			$count++
			#create a hashtable out of the array, first contains the first 9 characters that are fairly static, eg. USHOUSTTX, 2nd contains the last 3, eg. 01M

			$i = Out-String -InputObject $item -stream

			$usedlist += ,@($i.substring(0,6),$i.substring(6,3))
			#Out-Host -InputObject $count
			}
		}
		return $usedlist
		}
		if($locale -eq 2){
		foreach($item in $array)
		{
			if($item -ne "0")
			{
			$count++
			#create a hashtable out of the array, first contains the first 9 characters that are fairly static, eg. USHOUSTTX, 2nd contains the last 3, eg. 01M

			$i = Out-String -InputObject $item -stream

			$usedlist += ,@($i.substring(0,9),$i.substring(9,3))
			#Out-Host -InputObject $count
			}
		}
		return $usedlist
		}

	}



function Get-ADList([string]$userinput)
{
	$arrList = @()
	$strCategory = "computer"
	$objDomain = New-Object System.DirectoryServices.DirectoryEntry("GC://DC=us,DC=pinkertons,DC=com")
	$objSearcher = New-Object System.DirectoryServices.DirectorySearcher
	$objSearcher.SearchRoot = $objDomain
	$objSearcher.PageSize = 1000
	$objSearcher.Filter = ("(objectCategory=$strCategory)")
	$colProplist = "name"
		foreach ($i in $colPropList)
		{
			$objSearcher.PropertiesToLoad.Add($i)
		}
	$colResults = $objSearcher.FindAll()
	if($locale -eq 1){
	#validate current naming standard FIELD
	foreach($objresult in $colresults)
	{
		$item = $objResult.properties.name | Out-String -stream
		#check if matches user input
		if($Item -match $userinput)
		{
			#check if length is 9 characters USrxxxnnn otherwise toss.
			if($item.length -eq 9)
			{
				#More validation, starts with US otherwise toss
				if($item.substring(0,2) = "US")
				{
					$itemsuffix = $item.substring(6,3)
					#Last validation, does it end with a double digit number and W or M.
					if($itemsuffix -match "[0-9][0-9][0-9]$")
					{
						#passed all validation, add it an array
						if($item -ne "0")
						{
							$arrList += $item
						}	
					}
				}
			}
		}
	}
	}
	if($locale -eq 2){
	#validate current naming standard FIELD
	foreach($objresult in $colresults)
	{
		$item = $objResult.properties.name | Out-String -stream
		#check if matches user input
		if($Item -match $userinput)
		{
			#check if length is 12 characters *us*CCCCC*SS*XX*M/W otherwise toss.
			if($item.length -eq 12)
			{
				#More validation, starts with US otherwise toss
				if($item.substring(0,2) = "US")
				{
					$itemsuffix = $item.substring(9,3)
					#Last validation, does it end with a double digit number and W or M.
					if($itemsuffix -match "[0-9][0-9][MW]$")
					{
						#passed all validation, add it an array
						if($item -ne "0")
						{
							$arrList += $item
						}	
					}
				}
			}
		}
	}
	}
	return $arrList
}

Function fieldlist(){
#create collections
		$wcol = @()
		$mcol = @()
$allhosts = get-unusedcomputers -parthost $trimed -arrused $usedcomputers
	foreach ($_ in $allhosts)
	{
		$Hostname =  $trimed + $_ | Out-String -stream
		Out-Host -InputObject $Hostname
		Switch($Hostname.Substring(11,1))
		{
			W
			{
			$wcol += $hostname
			}
			M
			{
			$mcol += $hostname
			}
		}
	}
		$size = $mcol.length + $wcol.length
		$i = 0
		While($i -le $size)
		{
			$row = @(($wcol[$i]),($mcol[$i]))
			$datagridviewResults.Rows.Add($row)		
			$i++
			}
 	}
	

Function oclist(){
#create collections
		$wcol = @()
		$mcol = @()
$allhosts = get-unusedcomputers -parthost $trimed -arrused $usedcomputers
	foreach ($_ in $allhosts)
	{
		$Hostname =  $trimed + $_ | Out-String -stream
		Out-Host -InputObject $Hostname
		Switch($Hostname.Substring(3,3))
		{
			WKS
			{
			$wcol += $hostname
			}
			MBL
			{
			$mcol += $hostname
			}
		}
	}
		$size = $mcol.length + $wcol.length
		$i = 0
		While($i -le $size)
		{
			$row = @(($wcol[$i]),($mcol[$i]))
			$datagridviewResults.Rows.Add($row)		
			$i++
			}
 	}

#-------------------------------------------------START SCRIPT--------------------------------------------------------#
do
{
#Select Field or OC
Out-Host -InputObject "OC (1) or Field (2)?"
$prompt = Read-Host -OutBuffer 1
$locale = $prompt
}
until($locale -eq 1 -or 2)

$warning = "" 
Write-Host $warning -ForegroundColor Red -BackgroundColor cyan

If($locale -eq 1) {
$warning = "You picked Operating Center, format is USW|USE+WKS|MBL, example 'USWWKS'" 
Write-Host $warning -ForegroundColor Red -BackgroundColor cyan
Out-Host -InputObject "Please provide the first 6 characters of the system name"
$prompt = Read-Host -OutBuffer 6
$trimed = $prompt.substring(0,6)
}

If($locale -eq 2) {
$warning = "You picked Field, format is 2 letter country, 5 Letter City, 2 Letter State, example 'USPHOENAZ'" 
Write-Host $warning -ForegroundColor Red -BackgroundColor cyan
Out-Host -InputObject "Please provide the first 9 characters (USPHOENAZ) of the system name)"
$prompt = Read-Host -OutBuffer 9
$trimed = $prompt.substring(0,9)
}



#get all ad computers
$adlists = Get-ADList


#make the hashtable list (format the results into a usable form)
$usedcomputers = Make-List($adlists)

If($locale -eq 1)
{oclist}
ElseIf($locale -eq 2)
{fieldlist}







#-------------------------------------------------END SCRIPT----------------------------------------------------------#


	
		
	}
	
	
	
	
	#datagrid code
	$datagridviewResults_ColumnHeaderMouseClick=[System.Windows.Forms.DataGridViewCellMouseEventHandler]{
	#Event Argument: $_ = [System.Windows.Forms.DataGridViewCellMouseEventArgs]
		if($datagridviewResults.DataSource -is [System.Data.DataTable])
		{
			$column = $datagridviewResults.Columns[$_.ColumnIndex]
			$direction = [System.ComponentModel.ListSortDirection]::Ascending
			
			if($column.HeaderCell.SortGlyphDirection -eq 'Descending')
			{
				$direction = [System.ComponentModel.ListSortDirection]::Descending
			}
	
			$datagridviewResults.Sort($datagridviewResults.Columns[$_.ColumnIndex], $direction)
		}
	}
	
	$datagridviewResults_CellContentClick=[System.Windows.Forms.DataGridViewCellEventHandler]{
	#Event Argument: $_ = [System.Windows.Forms.DataGridViewCellEventArgs]
		#TODO: Place custom script here
		
	}
	
	
	
	# --End User Generated Script--
	#----------------------------------------------
	#region Generated Events
	#----------------------------------------------
	
	$Form_StateCorrection_Load=
	{
		#Correct the initial state of the form to prevent the .Net maximized form issue
		$formMain.WindowState = $InitialFormWindowState
	}
	
	$Form_Cleanup_FormClosed=
	{
		#Remove all event handlers from the controls
		try
		{
			$datagridviewResults.remove_CellContentClick($datagridviewResults_CellContentClick)
			$datagridviewResults.remove_ColumnHeaderMouseClick($datagridviewResults_ColumnHeaderMouseClick)
			$formMain.remove_Shown($FormEvent_Load)
			$formMain.remove_Load($Form_StateCorrection_Load)
			$formMain.remove_FormClosed($Form_Cleanup_FormClosed)
		}
		catch [Exception]
		{ }
	}
	#endregion Generated Events

	#----------------------------------------------
	#region Generated Form Code
	#----------------------------------------------
	#
	# formMain
	#
	$formMain.Controls.Add($datagridviewResults)
	$formMain.ClientSize = '800, 600'
	$formMain.Name = "formMain"
	$formMain.StartPosition = 'CenterScreen'
	$formMain.Text = "Available Computer Name Tool"
	$formMain.add_Shown($FormEvent_Load)
	#
	# datagridviewResults
	#
	$datagridviewResults.AllowUserToAddRows = $False
	$datagridviewResults.AllowUserToDeleteRows = $False
	$datagridviewResults.Anchor = 'Top, Bottom, Left, Right'
	$System_Windows_Forms_DataGridViewCellStyle_1 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_1.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_1.BackColor = 'Control'
	$System_Windows_Forms_DataGridViewCellStyle_1.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_1.ForeColor = 'WindowText'
	$System_Windows_Forms_DataGridViewCellStyle_1.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_1.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_1.WrapMode = 'True'
	$datagridviewResults.ColumnHeadersDefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_1
	[void]$datagridviewResults.Columns.Add($desktops)
	[void]$datagridviewResults.Columns.Add($laptops)
	$System_Windows_Forms_DataGridViewCellStyle_2 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_2.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_2.BackColor = 'Window'
	$System_Windows_Forms_DataGridViewCellStyle_2.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_2.ForeColor = 'ControlText'
	$System_Windows_Forms_DataGridViewCellStyle_2.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_2.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_2.WrapMode = 'False'
	$datagridviewResults.DefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_2
	$datagridviewResults.Location = '12, 12'
	$datagridviewResults.MultiSelect = $False
	$datagridviewResults.Name = "datagridviewResults"
	$datagridviewResults.ReadOnly = $True
	$System_Windows_Forms_DataGridViewCellStyle_3 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_3.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_3.BackColor = 'Control'
	$System_Windows_Forms_DataGridViewCellStyle_3.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_3.ForeColor = 'WindowText'
	$System_Windows_Forms_DataGridViewCellStyle_3.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_3.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_3.WrapMode = 'True'
	$datagridviewResults.RowHeadersDefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_3
	$datagridviewResults.Size = '960, 638'
	$datagridviewResults.TabIndex = 2
	$datagridviewResults.add_CellContentClick($datagridviewResults_CellContentClick)
	$datagridviewResults.add_ColumnHeaderMouseClick($datagridviewResults_ColumnHeaderMouseClick)
	#
	# checklist
	#
	$desktops.HeaderText = "Desktops"
	$desktops.Name = "Desktops"
	$desktops.ReadOnly = $True
	$desktops.Width = 333
	#
	# laptops
	#
	$laptops.HeaderText = "Laptops"
	$laptops.Name = "Laptops"
	$laptops.ReadOnly = $True
	$laptops.Width = 333


	#----------------------------------------------

	#Save the initial state of the form
	$InitialFormWindowState = $formMain.WindowState
	#Init the OnLoad event to correct the initial state of the form
	$formMain.add_Load($Form_StateCorrection_Load)
	#Clean up the control events
	$formMain.add_FormClosed($Form_Cleanup_FormClosed)
	#Show the Form
	return $formMain.ShowDialog()

} #End Function

#Call OnApplicationLoad to initialize
if((OnApplicationLoad) -eq $true)
{
	#Call the form
	Call-EvalToolGUI_pff | Out-Null
	#Perform cleanup
	OnApplicationExit
}
